org.jfree.xml.attributehandlers

## Class CharacterAttributeHandler

- java.lang.Object
- - org.jfree.xml.attributehandlers.CharacterAttributeHandler

All Implemented Interfaces:
  AttributeHandler

    public class CharacterAttributeHandler
    extends java.lang.Object
    implements AttributeHandler

A class that handles the conversion of `Character` attributes to and from an appropriate `String` representation.

### Constructor Summary

Constructors
Constructor and Description
`CharacterAttributeHandler()` Creates a new attribute handler.

### Method Summary

Methods
`java.lang.String` `toAttributeValue(java.lang.Object o)` Converts the attribute to a string.
`java.lang.Object` `toPropertyValue(java.lang.String s)` Converts a string to a `Character`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CharacterAttributeHandler

    public CharacterAttributeHandler()

Creates a new attribute handler.

### Method Detail

#### toAttributeValue

    public java.lang.String toAttributeValue(java.lang.Object o)

Converts the attribute to a string.

Specified by:
  `toAttributeValue` in interface `AttributeHandler`
Parameters:
  `o` - the attribute (`Character` expected).
Returns:
  A string representing the `Character` value.

#### toPropertyValue

    public java.lang.Object toPropertyValue(java.lang.String s)

Converts a string to a `Character`.

Specified by:
  `toPropertyValue` in interface `AttributeHandler`
Parameters:
  `s` - the string.
Returns:
  a `Character`.